﻿libname dm1 'C:\Users\Ondra\Desktop\FI\cv4';


/*ukol 1 */

/*options date pageno=1;*/
options nodate pageno=1;

ods html file='C:\Users\Ondra\Desktop\FI\cv4\pr1.html' style=sasweb;
proc freq data=dm1.sales;
tables Gender*Country;
where Job_Title contains 'Rep';
title 'Sales Rep Frequency Report';
run;
/*ods html close;*/

/*ukol 2 */

data dm1.sales1;
set dm1.sales;
Hire_age=floor(intck('day',birth_date,hire_date)/365);
run;


proc freq data=dm1.sales1; /*vyrobi tabulku pro vsechny hodnoty hire_age...takze takto ne*/
tables hire_age;
run;

/*takto je to spravne */
proc format;
value hireAge 
low-<20 = '1. pod 20'
20-<25 = '2. 20 - 25'
25-high ='3. nad 25';
run;


proc freq data=dm1.sales1;
tables hire_age;
format hire_age hireAge.
;
run;

/*ukol 3 */
proc means data=dm1.sales1 mean range;
   var Salary;
   class Gender Country hire_age;
   format hire_age hireAge.;
   output out=work.means1;
run;

proc print data=work.means1;
run;

/*ukol 4 */

proc tabulate data=dm1.sales1;
class Gender Country hire_age;
table (hire_age all)*Country,gender*(n rowpctn colpctn)
;
format hire_age hireAge.;
run;


/*ukol 5 */
/*ods pdf file='C:\Users\Ondra\Desktop\FI\cv4\tab2.pdf' style=sasweb;*/
proc tabulate data=dm1.sales1 missing;
class Gender Country hire_age;
var salary;
table (hire_age all)*(country all), (gender all)*salary*(min p50 max)
;
format hire_age hireAge.;
run;
ods pdf close;



/*ukol 6 */
ods rtf file='D:\dukumenty\prace\MU\vyuka\Data_Mining_1\2012\cviceni\univ.rtf' style=sasweb;
proc univariate data=dm1.sales;
   var Salary;
run;
ods rtf close;





*/pr 3*/




/*ukol 1 */
/*

priklady obrazku k proc gplot:
http://support.sas.com/sassamples/graphgallery/PROC_GPLOT.html

inspiraci pro resni ukolu 1 jsou:
http://support.sas.com/kb/24/932.html
http://support.sas.com/kb/25/584.html

clanek o nastaveni parametru legendy:
http://www2.sas.com/proceedings/forum2007/163-2007.pdf

help k nastaveni parametru legendy:
http://support.sas.com/documentation/cdl/en/graphref/63022/HTML/default/viewer.htm#legendchap.htm

dokumentace k fonfum (vcetne seznamu fontu) v SAS/Graph
http://www2.stat.unibo.it/manualisas/gref/c06.pdf
*/


/*pocatecni pokusy*/
goptions reset=all;

proc gplot data=dm1.sales1;
plot hire_age*birth_date;
run; 

proc gplot data=dm1.sales1;
plot hire_age*birth_date=gender;
run; 

proc gplot data=dm1.sales1;
plot hire_age*birth_date=gender;
symbol1 value=dot interpol=r width=5 color=red;
symbol2 value=dot interpol=r width=5 color=blue;
run; 


proc gplot data=dm1.sales1;
plot hire_age*birth_date=gender;
plot2 hire_age*birth_date=gender;
run; 

proc gplot data=dm1.sales1;
plot hire_age*birth_date=gender;
plot2 hire_age*birth_date=gender;
symbol1 value=dot color=red;
symbol2 value=dot color=blue;
symbol3 value=none interpol=r width=5 color=red;
symbol4 value=none interpol=r width=5 color=blue;
run; 



/*spravne reseni */
goptions reset=all htitle=12pt;
axis1 label=(f='arial/bo' h=12pt)  value=(f='arial/bo' h=10pt);
axis2 label=(a=90 f='arial/bo' h=12pt) value=(f='arial/bo' h=10pt);

legend1 label=(color=black f='arial/bo' h=12pt position=top)
position=(top right inside) mode=protect value=(f='arial/bo' h=10pt)
frame origin=(75pct,84pct);
legend2 label=(color=black f='arial/bo' h=10pt position=top 'Regression lines')
position=(top right inside) frame mode=protect 
value=(f='arial/bo' h=10pt)origin=(75pct,76pct);

proc gplot data=dm1.sales1;
plot hire_age*birth_date=gender /haxis=axis1 vaxis=axis2 legend=legend1;
plot2 hire_age*birth_date=gender /noaxis legend=legend2;
title 'Relation of hire_age and birth_date';
symbol1 value=dot color=red h=0.4;
symbol2 value=dot color=blue h=0.4;
symbol3 value=none interpol=r width=5 color=red;
symbol4 value=none interpol=r width=5 color=blue;
format birth_date mmddyy10.;
run; 


/*ukol 2 */

goptions reset=all;
proc gplot data=sashelp.workers;
plot (electric masonry)*date / overlay legend;
run; 

/*spravne reseni*/
goptions reset=all htitle=12pt;;
axis1 label=(f='arial/bo' h=12pt)  value=(f='arial/bo' h=10pt);
axis2 label=(a=90 f='arial/bo' h=12pt 'number of workers')  value=(f='arial/bo' h=10pt);
legend1 label=none
position=(top left inside) mode=protect value=(f='arial/bo' h=10pt)
frame offset=(1pct) across=1 down=2;


proc gplot data=sashelp.workers;
plot (electric masonry)*date / overlay haxis=axis1 vaxis=axis2 legend=legend1;
title 'Number of workers';
symbol1 value=none color=red interpol=join w=5;
symbol2 value=none color=blue interpol=join w=5;
format date mmddyy10.;
run; 

